=== debian/changelog ===
mcrl2 (201202.0-2) unstable; urgency=low

  [ Jeroen Keiren ]
  * Bugfix upload (closes: #661092).
  * debian/patches/series,
    debian/patches/dparser_header_fixes.patch:
    - Install headers belonging to dparser in their own directory.

  [ Paul van Tilburg ]
  * debian/control:
    - Changed myself to uploaded, made Jeroen maintainer. 
    - Bumped standards version to 3.9.3. 

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 24 Feb 2012 16:16:02 +0100

mcrl2 (201202.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/series,
    debian/patches/lintian_fixes.patch:
    - Dropped because it has been incorporated upstream.
  * debian/rules:
    - Set MCRL2_PACKAGE_RELEASE, which is required by upstream for
      proper version numbering.
  * debian/watch:
    - Update to the official naming convention used by upstream.
  * debian/copyright:
    - Update the copyright period.

 -- Jeroen Keiren <jkeiren@win.tue.nl>  Thu, 16 Feb 2012 15:24:08 +0100
