## mcrl2 201210.0

=== debian/changelog ===
mcrl2 (201210.0-1) unstable; urgency=low

  [ Jeroen Keiren ]
  * New upstream release.
  * debian/control:
    - Removed wxWidgets dependencies
    - Removed dependencies to all boost libraries except boost-system
    - Added qt dependencies
  * debian/rules:
    - Removed reference to wxSTC
  * debian/patches/series,
    debian/patches/dparser_header_fixes.patch:
    - Removed patch that was incorporated upstream

  [ Paul van Tilburg ]
  * Upload to Debian unstable

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 12 Oct 2012 11:35:41 +0200
