=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jeroen Keiren <jkeiren@win.tue.nl>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Build-Depends: debhelper (>= 5), cmake, libboost-filesystem-dev (>= 1.37), libboost-regex-dev (>= 1.37), libboost-signals-dev (>= 1.37), libboost-system-dev (>= 1.37), libboost-serialization-dev (>= 1.37), libwxgtk2.8-dev (>= 2.8.4), libglu1-mesa-dev (>= 7.0.1), libgl2ps-dev
+Build-Depends: debhelper (>= 5), cmake, libboost-system-dev (>= 1.37), libglu1-mesa-dev (>= 7.0.1), libgl2ps-dev, qt4-qmake, libqtcore4, libqtgui4, libqt4-xml, libqt4-opengl, libqt4-dev, libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.mcrl2.org/
 Vcs-Browser: https://svn.win.tue.nl/viewcvs/MCRL2/packaging/mcrl2/trunk/
