=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,6 @@
 	      -DMCRL2_ENABLE_EXPERIMENTAL="OFF" \
 	      -DMCRL2_ENABLE_DEPRECATED="OFF"	 \
 	      -DMCRL2_ENABLE_TEST_TARGETS="OFF" \
-	      -DMCRL2_WITH_WXSTC="ON" \
 	      -DMCRL2_MAN_PAGES="ON" \
 	      -DMCRL2_PACKAGE_RELEASE="ON"
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
